Subject: Re: bug#21284: 25.0.50; `completion-file-name-table' should/not use `nreverse'?

From: Keith David Bershatsky <[email-masked]>
Date: Wed, 04 May 2016 11:14:06 -0700

Thank you, Marcin, for taking a look at 21284.

I apologize for mislabeling the variable.  It turns out that the same erroneous behavior is observable with Emacs -Q.  The `*Completions*` are in reverse alphabetical order.

Step 1:  Launch the graphical version of Emacs -Q.

Step 2:  M-x eshell

Step 3:  cd to a directory containing files and folders with a variety of different names beginning with letters a to z.

Step 4:  type rm

Step 5:  hit the space bar

Step 6:  hit the tab key

Step 7:  The *Completions* are in reverse alphabetical order.

Thanks,

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

> Hi,
> 
> I tried to reproduce it on GNU Emacs 25.1.50.9 (commit fafdfcb) and
> failed.  However, I'm not sure whether I understood your report
> correctly.  My Emacs doesn't seem to have
> `lawlist-eshell-cmpl-compare-entry-function', only
> `eshell-cmpl-compare-entry-function'.  Did you mean that variable?
> I tried to set it to `'string-lessp', but nothing seemed to change after
> "rm [space] [tab]" in Eshell.
> 
> > Thanks,
> >
> > Keith
> 
> Best,
> 
> -- 
> Marcin